Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZTemplateControlOperator Class Reference
Template system » Template operators

Operators for checking variable type. More...

## Public Member Functions
| __construct ($condName='cond', $firstSetName='first_set')
| operatorList ()
| operatorTemplateHints ()
| condTransform ( $operatorName, &$node, $tpl, &$resourceData, $element, $lastElement, $elementList, $elementTree, &$parameters)
| namedParameterPerOperator ()
| namedParameterList ()
| modify ( $tpl, $operatorName, $operatorParameters, $rootNamespace, $currentNamespace, &$value, $namedParameters, $placement)

## Public Attributes
| $Operators
| The array of operators. More...
| $CondName
| $FirstSetName

## Detailed Description

Operators for checking variable type.

Usage: Evalue condition and if true return body cond(is_set($var),$var, true(),2) Return first element that is set first_set($var1,$var2,$var3,0)

Definition at line 25 of file eztemplatecontroloperator.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZTemplateControlOperator::__construct | ( |  | $condName = `'cond'`,
|  |  | $firstSetName = `'first_set'`
| ) |  |

Initializes the operator class with the various operator names.

Parameters

  string | $condName |
  string | $firstSetName |

Parameters

  $condName | The name array

Definition at line 33 of file eztemplatecontroloperator.php.

## Member Function Documentation

## ◆ condTransform()

eZTemplateControlOperator::condTransform | ( |  | $operatorName,
|  | & | $node,
|  |  | $tpl,
|  | & | $resourceData,
|  |  | $element,
|  |  | $lastElement,
|  |  | $elementList,
|  |  | $elementTree,
|  | & | $parameters
| ) |  |

Definition at line 68 of file eztemplatecontroloperator.php.

References eZTemplateNodeTool\createCodePieceElement(), eZTemplateNodeTool\elementConstantValue(), and eZTemplateNodeTool\isConstantElement().

## ◆ modify()

eZTemplateControlOperator::modify | ( |  | $tpl,
|  |  | $operatorName,
|  |  | $operatorParameters,
|  |  | $rootNamespace,
|  |  | $currentNamespace,
|  | & | $value,
|  |  | $namedParameters,
|  |  | $placement
| ) |  |

Examines the input value and outputs a boolean value. See class documentation for more information.

Definition at line 198 of file eztemplatecontroloperator.php.

## ◆ namedParameterList()

eZTemplateControlOperator::namedParameterList | ( |  | ) |

See eZTemplateOperator::namedParameterList

Definition at line 190 of file eztemplatecontroloperator.php.

## ◆ namedParameterPerOperator()

eZTemplateControlOperator::namedParameterPerOperator | ( |  | ) |

Returns
  true to tell the template engine that the parameter list exists per operator type.

Definition at line 182 of file eztemplatecontroloperator.php.

## ◆ operatorList()

eZTemplateControlOperator::operatorList | ( |  | ) |

Returns the operators in this class.

Definition at line 45 of file eztemplatecontroloperator.php.

References $Operators.

## ◆ operatorTemplateHints()

eZTemplateControlOperator::operatorTemplateHints | ( |  | ) |

Definition at line 50 of file eztemplatecontroloperator.php.

## Member Data Documentation

## ◆ $CondName

eZTemplateControlOperator::$CondName

Definition at line 252 of file eztemplatecontroloperator.php.

## ◆ $FirstSetName

eZTemplateControlOperator::$FirstSetName

Definition at line 253 of file eztemplatecontroloperator.php.

## ◆ $Operators

eZTemplateControlOperator::$Operators

The array of operators.

Definition at line 251 of file eztemplatecontroloperator.php.

Referenced by operatorList().

The documentation for this class was generated from the following file:

- eztemplatecontroloperator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.